Package org.spongepowered.asm.mixin

## Enum Interface.Remap

- java.lang.Object
- - java.lang.Enum<Interface.Remap>
  - - org.spongepowered.asm.mixin.Interface.Remap

All Implemented Interfaces:
  `java.io.Serializable`, `java.lang.Comparable<Interface.Remap>`

Enclosing class:
  Interface

    public static enum Interface.Remap
    extends java.lang.Enum<Interface.Remap>

Describes the remapping strategy applied to methods matching this interface.

### Enum Constant Summary

Enum Constants
`ALL` Attempt to remap all members of this interface which are declared in the annotated mixin, including non-prefixed methods which match.
`FORCE` Attempt to remap all members of this interface which are declared in the annotated mixin, including non-prefixed methods which match.
`NONE` Do not remap members matching this interface.
`ONLY_PREFIXED` Remap only methods in the annotated mixin which are prefixed with the declared prefix.

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`boolean` `forceRemap()` Returns whether this remap type should force remapping
`static Interface.Remap` `valueOf​(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Interface.Remap[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Enum Constant Detail

#### ALL

    public static final Interface.Remap ALL

Attempt to remap all members of this interface which are declared in the annotated mixin, including non-prefixed methods which match.

#### FORCE

    public static final Interface.Remap FORCE

Attempt to remap all members of this interface which are declared in the annotated mixin, including non-prefixed methods which match. If mappings are not located for a member method, raise a compile-time error.

#### ONLY_PREFIXED

    public static final Interface.Remap ONLY_PREFIXED

Remap only methods in the annotated mixin which are prefixed with the declared prefix. Note that if no prefix is defined, this has the same effect as `NONE`

#### NONE

    public static final Interface.Remap NONE

Do not remap members matching this interface. (Equivalent to `remap=false` on other remappable annotations)

### Method Detail

#### values

    public static Interface.Remap[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (Interface.Remap c : Interface.Remap.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static Interface.Remap valueOf​(java.lang.String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
  `java.lang.NullPointerException` - if the argument is null

#### forceRemap

    public boolean forceRemap()

Returns whether this remap type should force remapping